clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::InitializationOptions Struct Reference

Clangd extension: parameters configurable at `initialize` time. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::InitializationOptions:
[legend]

## Public Attributes
ConfigurationSettings | ConfigSettings
llvm::Optional< std::string > | compilationDatabasePath
std::vector< std::string > | fallbackFlags
bool | FileStatus = false
| Clients supports show file status for textDocument/clangd.fileStatus. More...

## Detailed Description

Clangd extension: parameters configurable at `initialize` time.

LSP defines this type as `any`.

Definition at line 454 of file Protocol.h.

## Member Data Documentation

## ◆ compilationDatabasePath

llvm::Optional<std::string> clang::clangd::InitializationOptions::compilationDatabasePath

Definition at line 459 of file Protocol.h.

## ◆ ConfigSettings

ConfigurationSettings clang::clangd::InitializationOptions::ConfigSettings

Definition at line 457 of file Protocol.h.

## ◆ fallbackFlags

std::vector<std::string> clang::clangd::InitializationOptions::fallbackFlags

Definition at line 463 of file Protocol.h.

## ◆ FileStatus

bool clang::clangd::InitializationOptions::FileStatus = false

Clients supports show file status for textDocument/clangd.fileStatus.

Definition at line 466 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h